import 'package:json_annotation/json_annotation.dart';

part 'devToolsSettings.g.dart';

@JsonSerializable()
class DevToolsSettings {
  bool showPerformanceOverlay;
  bool checkerboardOffscreenLayers;
  bool checkerboardRasterCacheImages;

  DevToolsSettings({required this.showPerformanceOverlay, required this.checkerboardOffscreenLayers, required this.checkerboardRasterCacheImages});

  factory DevToolsSettings.fromJson(Map<String, dynamic> json) => _$DevToolsSettingsFromJson(json);
  Map<String, dynamic> toJson() => _$DevToolsSettingsToJson(this);
}
